# Uses of Interface
org.springframework.cglib.core.ObjectSwitchCallback

Packages that use ObjectSwitchCallback
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of ObjectSwitchCallback in org.springframework.cglib.core

Methods in org.springframework.cglib.core with parameters of type ObjectSwitchCallback
Modifier and Type
Method
Description
`static void`
EmitUtils.`constructor_switch(CodeEmitter e, List constructors, ObjectSwitchCallback callback)`
`static void`
EmitUtils.`method_switch(CodeEmitter e, List methods, ObjectSwitchCallback callback)`
`static void`
EmitUtils.`string_switch(CodeEmitter e, String[] strings, int switchStyle, ObjectSwitchCallback callback)`